# Migration Guide

- Base installation:
- /etc/systemd/network kopieren
- /home/admin kopieren
- fstab ergänzen: cat /etc/fstab | grep magnetic-backup >> /mnt/root/etc/fstab

- Boot ins neue System
- postinstall ausführen
- apt-get install git 
  mkdir -p /home/admin/projects && cd /home/admin/projects
  git clone https://git.in-ulm.de/ulpeters/bootstrap.git
  git clone https://git.in-ulm.de/ulpeters/snippets.git

- cryptsetup installieren und data partition vorbereiten: prepare_luks.sh
- docker installieren: install_docker.sh
- kvm installieren: install_kvm.sh
- docker und kvm beim start deaktivieren, see startup.sh
- relevante verzeichnisse prüfen / umbennen / wieder anlegen
  - /var/lib/docker
  - /opt/docker
  - /var/lib/libvirt
  - /etc/libvirt
- guest und magnetic einhängen, bind mounts
- pfsense und container testweise starten und prüfen
  - kvm und qemu stoppen
  - daten kopieren
  - virsh-define

- restart
- wurden die docker und kvm services wirklich nicht gestartet?
- startup.sh

- benchmark
- mailversand einrichten / prüfen: https://www.itix.fr/blog/send-mails-openwrt-msmtp-gmail/
- smartmon einrichten / testen
- power mgmt

- magnetic umziehen
  - docker stoppen
  - daten kopieren
  - docker container umbiegen - grep -r '/srv/magnetic' /opt/docker/
    - minio/restic
    - minio
    - sftp
    - samba
    - keepassxc

- backup prüfen
  - guests
